Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.autodetect
Class NativeFontDirFinder

    java.lang.Object
      org.apache.fop.fonts.autodetect.NativeFontDirFinder

All Implemented Interfaces:
  FontFinder

Direct Known Subclasses:
  MacFontDirFinder, UnixFontDirFinder

public abstract class NativeFontDirFinder
extends java.lang.Object
implements FontFinder

Native font finder base class

Constructor Summary
`NativeFontDirFinder()`

Method Summary
`java.util.List` | `find()` Generic method used by Mac and Unix font finders.
`protected abstract java.lang.String[]` | `getSearchableDirectories()` Returns an array of directories to search for fonts in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeFontDirFinder

    public NativeFontDirFinder()

Method Detail

### find

    public java.util.List find()

  Generic method used by Mac and Unix font finders.

  Specified by:
    `find` in interface `FontFinder`
  Returns:
    list of natively existing font directories list of font files. List<URL> in the case of the FontFinder, and List<File> in the case of the FonrDirFinders.

### getSearchableDirectories

    protected abstract java.lang.String[] getSearchableDirectories()

  Returns an array of directories to search for fonts in.

  Returns:
    an array of directories

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.